#ifndef CUDA_INCLUDES_H
#define CUDA_INCLUDES_H

#ifndef NO_OPENGL
#ifndef OPENGL_INCLUDES_H
#include "opengl_includes.h"
#endif
#endif

#ifdef _WIN32
#  define WINDOWS_LEAN_AND_MEAN
#ifndef NOMINMAX
#  define NOMINMAX
#endif
#  include <windows.h>
#endif

#include <string>

#include <cuda.h>

// includes, cuda
#include <cuda_runtime.h>
#include <cuda_gl_interop.h>

#include <device_launch_parameters.h>


#endif // CUDA_INCLUDES_H